plot.curve <- function (l, main="", xlab="", ylab="", xlim=NULL, ylim=NULL) {
	# Plot a curve object.
	plot(lapply(l, fst), lapply(l, snd),
	     type="o", main=main, xlab=xlab, ylab=ylab, xlim=xlim, ylim=ylim)
}

integrate.curve <- function (c, af=approxfun) {
	# Integrate the area under a curve.
	x <- sapply(c, fst)
	integrate(af(x, sapply(c, snd)), lower=min(x), upper=max(x))
}
